From 3ded2329d923087ffcdccaa4e11decdd8c32c118 Mon Sep 17 00:00:00 2001
From: David Dormagen <czapper@gmx.de>
Date: Sat, 16 Jul 2011 21:57:14 +0000
Subject: [PATCH 02/10] The mass mover clears its data when loading fails

Happened in some cases when changing a scenario section.
---
 src/game/landscape/C4MassMover.cpp |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/src/game/landscape/C4MassMover.cpp b/src/game/landscape/C4MassMover.cpp
index 5b1c1ea..f376df8 100644
--- a/src/game/landscape/C4MassMover.cpp
+++ b/src/game/landscape/C4MassMover.cpp
@@ -219,11 +219,11 @@ bool C4MassMoverSet::Save(C4Group &hGroup)
 
 bool C4MassMoverSet::Load(C4Group &hGroup)
 {
+	// clear previous
+	Clear(); Default();
 	size_t iBinSize,iMoverSize=sizeof(C4MassMover);
 	if (!hGroup.AccessEntry(C4CFN_MassMover,&iBinSize)) return false;
 	if ((iBinSize % iMoverSize)!=0) return false;
-	// clear previous
-	Clear(); Default();
 	// load new
 	Count = iBinSize / iMoverSize;
 	if (!hGroup.Read(Set,iBinSize)) return false;
-- 
1.7.7.1

